Bug 875294 (CVE-2012-5509)

Summary: CVE-2012-5509 aeolus-configserver: aeolus-configserver-setup /tmp file conductor credentials leak
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: athomas, cpelland, gblomqui, jrusnack, mmccune, morazi, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130221,reported=20121109,source=redhat,cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,cloudengine-1/aeolus-configserver=affected,fedora-all/aeolus-configserver=affected,cwe=CWE-377->CWE-200
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-14 23:55:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 875222, 891393    
Bug Blocks: 883745, 906635    

Description Kurt Seifried 2012-11-10 02:39:35 EST
Aaron Weitekamp of Red Hat reports:

Description of problem:
aeolus-configserver-setup leaves /tmp file that contains key/secret credentials. File is chmod 755.

Version-Release number of selected component (if applicable):
1.1
[root@10-16-120-239 ~]# rpm -qa |grep aeolus
aeolus-audrey-agent-0.4.10-1.el6cf.noarch
aeolus-configserver-0.4.11-1.el6cf.noarch

How reproducible:
always

Steps to Reproduce:
1. run `aeolus-configserver-setup`
2. search for file in /tmp `ls -ltr /tmp`

Actual results:
file /tmp/tmp.[random_string] exists with credentials

Expected results:
remove /tmp file.
Comment 2 Murray McAllister 2013-02-13 18:36:32 EST
Acknowledgements:

This issue was discovered by Aaron Weitekamp of the Red Hat Cloud Quality Engineering team.
Comment 3 errata-xmlrpc 2013-02-21 14:08:16 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2013:0545 https://rhn.redhat.com/errata/RHSA-2013-0545.html